org.apache.ode.bpel.compiler

## Class InvokeGeneratorMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.bpel.compiler.api.CompilationMessageBundle
      - - org.apache.ode.bpel.compiler.InvokeGeneratorMessages

-     public class InvokeGeneratorMessages
      extends CompilationMessageBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvokeGeneratorMessages()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationMessage` | `errInvokeNoInputMessageForInputOp(java.lang.String operation)` Invoke doesn't define an input variable even though the operation {0} declares an input message.
    `CompilationMessage` | `errInvokeNoOutputMessageForOutputOp(java.lang.String operation)` Invoke doesn't define an output variable even though the operation {0} declares an output message.

    - ### Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle

      `formatCompilationMessage`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvokeGeneratorMessages

          public InvokeGeneratorMessages()

  - ### Method Detail

    - #### errInvokeNoOutputMessageForOutputOp

          public CompilationMessage errInvokeNoOutputMessageForOutputOp(java.lang.String operation)

      Invoke doesn't define an output variable even though the operation {0} declares an output message.

    - #### errInvokeNoInputMessageForInputOp

          public CompilationMessage errInvokeNoInputMessageForInputOp(java.lang.String operation)

      Invoke doesn't define an input variable even though the operation {0} declares an input message.